## org.cometd.oort
Class OortServlet

    java.lang.Object
      org.cometd.oort.OortServlet

All Implemented Interfaces:
  Servlet

    public class OortServlet

extends Object
implements Servlet

Oort Servlet.

This servlet initializes and configures and instance of the `Oort` comet cluster manager. The servlet must be initialized after an instance of `AbstractCometdServlet`, which creates the `Bayeux` instance used.

The following servlet init parameters are used to configure Oort:

oort.url
  The absolute public URL to the cometd servlet.
oort.cloud
  A comma separated list of the oort.urls of other known oort comet servers that are passed to `Oort.observeComet(String)` on startup.
oort.channels
  A comma separated list of channels that will be passed to `Oort.observeChannel(String)`

Author:
  gregw

Constructor Summary
`OortServlet()`

Method Summary
`void` `destroy()`
`ServletConfig` `getServletConfig()`
`String` `getServletInfo()`
`void` `init(ServletConfig config)`
`void` `service(ServletRequest req, ServletResponse res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OortServlet

    public OortServlet()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Servlet`

### getServletConfig

    public ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `Servlet`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `Servlet`

### init

    public void init(ServletConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Throws:
    `ServletException`

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        IOException

  Specified by:
    `service` in interface `Servlet`
  Throws:
    `ServletException`
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.